Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema Class Reference

`#include <OFaceSet.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema:
[legend]

## Classes

class | Sample

## Public Types

typedef OFaceSetSchema | this_type
Public Types inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< FaceSetSchemaInfo >
typedef FaceSetSchemaInfo | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< FaceSetSchemaInfo >
typedef FaceSetSchemaInfo | info_type
typedef OSchema< FaceSetSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions

| OFaceSetSchema ()
| OFaceSetSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument(), const Abc::Argument &iArg3=Abc::Argument())
| OFaceSetSchema (Abc::OCompoundProperty iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument())
| OFaceSetSchema (const OFaceSetSchema &iCopy)
| Copy constructor.
size_t | getNumSamples () const
| Default assignment operator used.
void | set (const Sample &iSamp)
| Set a sample! First sample must have the list of faces in the faceset.
void | setTimeSampling (uint32_t iTimeSamplingID)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
void | setFaceExclusivity (FaceSetExclusivity iFacesExclusive)
FaceSetExclusivity | getFaceExclusivity ()
void | reset ()
bool | valid () const
| Valid returns whether this instance holds real data.
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (OFaceSetSchema::valid())
Public Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< FaceSetSchemaInfo >
| OGeomBaseSchema ()
Abc::OCompoundProperty | getArbGeomParams ()
Abc::OCompoundProperty | getUserProperties ()
Abc::OBox3dProperty | getChildBoundsProperty ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< FaceSetSchemaInfo >
| OSchema ()
virtual | ~OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions

void | _recordExclusivityHint ()
void | init (AbcA::CompoundPropertyWriterPtr iParent, const Abc::Argument &iArg0, const Abc::Argument &iArg1, const Abc::Argument &iArg2, const Abc::Argument &iArg3)
Protected Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< FaceSetSchemaInfo >
void | init (uint32_t iTsIndex, bool isSparse)
void | createSelfBoundsProperty (uint32_t iTsIndex, size_t iNumSamples)
| Creates the self bounds.
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes

Abc::OInt32ArrayProperty | m_facesProperty
Abc::OUInt32Property | m_facesExclusiveProperty
FaceSetExclusivity | m_facesExclusive
Protected Attributes inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< FaceSetSchemaInfo >
Abc::OBox3dProperty | m_selfBoundsProperty
Abc::OBox3dProperty | m_childBoundsProperty
Abc::OCompoundProperty | m_arbGeomParams
Abc::OCompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Additional Inherited Members

Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< FaceSetSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)

## Detailed Description

Definition at line 52 of file OFaceSet.h.

## Member Typedef Documentation

## this_type

typedef OFaceSetSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

Definition at line 112 of file OFaceSet.h.

## Constructor & Destructor Documentation

## OFaceSetSchema() [1/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::OFaceSetSchema | ( |  | ) |

inline

The default constructor creates an empty OFaceSetSchema. OFaceSetSchema instances created this evaluate to a boolean value of false.

Definition at line 119 of file OFaceSet.h.

Referenced by OFaceSetSchema().

Here is the caller graph for this function:

## OFaceSetSchema() [2/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::OFaceSetSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument(),
|  | const Abc::Argument & | iArg3 = Abc::Argument() )

This constructor creates a new faceset writer. The first argument is an CompoundPropertyWriterPtr to use as a parent. The next is the name to give the schema which is usually the default name given by OFaceSet (.faceset) The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify MetaData, specify sparse sampling and to set TimeSampling.

## OFaceSetSchema() [3/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::OFaceSetSchema | ( | Abc::OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument() )

This constructor creates a new faceset writer. The first argument is an OCompundProperty to use as a parent, and from which the ErrorHandlerPolicy is derived. The next is the name to give the schema which is usually the default name given by OFaceSet (.faceset) The remaining optional arguments can be used to specify MetaData, specify sparse sampling and to set TimeSampling.

## OFaceSetSchema() [4/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::OFaceSetSchema | ( | const OFaceSetSchema & | iCopy | ) |

inline

Copy constructor.

Definition at line 147 of file OFaceSet.h.

References OFaceSetSchema(), and Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< FaceSetSchemaInfo >::OGeomBaseSchema().

Here is the call graph for this function:

## Member Function Documentation

## _recordExclusivityHint()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::_recordExclusivityHint | ( |  | ) |

protected

## ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | OFaceSetSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

References valid().

Here is the call graph for this function:

## getFaceExclusivity()

FaceSetExclusivity Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::getFaceExclusivity | ( |  | ) |

inline

Definition at line 175 of file OFaceSet.h.

References m_facesExclusive.

## getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::getNumSamples | ( |  | ) | const

inline

Default assignment operator used.

Get number of samples written so far. ...

Definition at line 165 of file OFaceSet.h.

References m_facesProperty.

## init()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::init | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const Abc::Argument & | iArg0,
|  | const Abc::Argument & | iArg1,
|  | const Abc::Argument & | iArg2,
|  | const Abc::Argument & | iArg3 )

protected

## reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::reset | ( |  | ) |

inlinevirtual

Reset returns this function set to an empty, default state.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< FaceSetSchemaInfo >.

Definition at line 184 of file OFaceSet.h.

References m_facesProperty, and Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::reset().

Here is the call graph for this function:

## set()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::set | ( | const Sample & | iSamp | ) |

Set a sample! First sample must have the list of faces in the faceset.

## setFaceExclusivity()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::setFaceExclusivity | ( | FaceSetExclusivity | iFacesExclusive | ) |

## setTimeSampling() [1/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::setTimeSampling | ( | AbcA::TimeSamplingPtr | iTime | ) |

## setTimeSampling() [2/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::setTimeSampling | ( | uint32_t | iTimeSamplingID | ) |

## valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::valid | ( |  | ) | const

inlinevirtual

Valid returns whether this instance holds real data.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< FaceSetSchemaInfo >.

Definition at line 192 of file OFaceSet.h.

References m_facesProperty, and Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::valid().

Referenced by ALEMBIC_OVERRIDE_OPERATOR_BOOL().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## m_facesExclusive

FaceSetExclusivity Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::m_facesExclusive

protected

Definition at line 213 of file OFaceSet.h.

Referenced by getFaceExclusivity().

## m_facesExclusiveProperty

Abc::OUInt32Property Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::m_facesExclusiveProperty

protected

Definition at line 212 of file OFaceSet.h.

## m_facesProperty

Abc::OInt32ArrayProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::m_facesProperty

protected

Definition at line 210 of file OFaceSet.h.

Referenced by getNumSamples(), reset(), and valid().

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/OFaceSet.h